Skip to content
Handinger
Search
Ctrl
K
Auto
Light
Dark
Get started
Guides
API Reference
Get started
CLI Tool
HTTP
HTTP
TypeScript
TypeScript
Python
Python
Go
Go
CLI Tool
CLI Tool
Guides
API Reference
Overview
Workers
Create
Retrieve
Continue
Stream Updates
Retrieve Email
Retrieve File
Schedules
List
Create
Cancel
API Reference
Workers
Copy Markdown
Open in
Claude
Open in
ChatGPT
Open in
Cursor
Copy Markdown
View as Markdown
Schedules
Manage future and recurring worker tasks.
List worker schedules
$
handinger workers:schedules list
GET
/api/workers/{workerId}/schedules
Create a worker schedule
$
handinger workers:schedules create
POST
/api/workers/{workerId}/schedules
Cancel a worker schedule
$
handinger workers:schedules cancel
DELETE
/api/workers/{workerId}/schedules/{scheduleId}
Models
Expand
Collapse
worker_schedule
:
object
{
id
,
budget
,
input
,
2 more
}
or
object
{
id
,
budget
,
delayInSeconds
,
3 more
}
or
object
{
id
,
budget
,
cron
,
3 more
}
or
object
{
id
,
budget
,
input
,
3 more
}
union_member_0
:
object
{
id
,
budget
,
input
,
2 more
}
id
:
string
budget
:
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
input
:
string
nextRunAt
:
string
type
:
"scheduled"
"scheduled"
union_member_1
:
object
{
id
,
budget
,
delayInSeconds
,
3 more
}
id
:
string
budget
:
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
delayInSeconds
:
number
input
:
string
nextRunAt
:
string
type
:
"delayed"
"delayed"
union_member_2
:
object
{
id
,
budget
,
cron
,
3 more
}
id
:
string
budget
:
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
cron
:
string
input
:
string
nextRunAt
:
string
type
:
"cron"
"cron"
union_member_3
:
object
{
id
,
budget
,
input
,
3 more
}
id
:
string
budget
:
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
input
:
string
intervalSeconds
:
number
nextRunAt
:
string
type
:
"interval"
"interval"
On this page
Overview
Schedules
What can I help you with?
Suggestions
Create scheduled workers
Retrieve worker outputs
Monitor worker progress